| GET | /RestApi/diagnostics/sites/{forContentType} |
|---|
Imports System
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.Diagnostics.Tools.PerformanceTips.Web.Services.Dto.Request
Namespace Global
Namespace Telerik.Sitefinity.Diagnostics.Tools.PerformanceTips.Web.Services.Dto.Request
Public Enum ContentType
Pages
Libraries
End Enum
Public Partial Class GetSites
Public Overridable Property ForContentType As ContentType
End Class
End Namespace
End Namespace
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/diagnostics/sites/{forContentType} HTTP/1.1
Host: www.asg.com.au
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
[{"Title":"String"}]